Skip to navigation

Create Pronunciation Dictionary

View as Markdown
Create a new pronunciation dictionary for the authenticated user

Authentication

AuthorizationBearer

API key authentication. Include your key as Authorization: Bearer YOUR_API_KEY. POST /waves/v1/stt, the text-to-speech endpoints and the speech WebSockets also accept short-lived access tokens; other endpoints need an API key. See Token-based authentication.

Request

This endpoint expects an object.
itemslist of objectsRequired

List of word-pronunciation pairs to create

Response

Successfully created pronunciation dictionary
idstring
Unique identifier for the pronunciation dictionary
itemslist of objects

List of word-pronunciation pairs

createdAtdatetime
Timestamp when the dictionary was created

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error